package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
)

func main() {
	//获取web引擎对象
	engine := gin.Default()

	//Get请求的处理
	engine.GET("/hello", func(context *gin.Context) {
		fmt.Println(context.FullPath())

		username := context.Query("name")
		fmt.Println(username)

		context.Writer.Write([]byte("Hello," + username))
	})

	// Post请求
	/*
		POST请求以表单的形式提交数据,除了可以使用context.PostForm获取表单数据以外，还可以使用context.GetPostForm来获取表单数据。
	*/
	engine.POST("/login", func(context *gin.Context) {

		fmt.Println(context.FullPath())
		username, exist := context.GetPostForm("username")
		if exist {
			fmt.Println(username)
		}

		password, exists := context.GetPostForm("pwd")
		if exists {
			fmt.Println(password)
		}

		context.Writer.Write([]byte("Hello , " + username))
	})

	// 启动web引擎
	engine.Run(":8081")
}
